/*  ------------------------------------------------------------------------------------------------------------------- */
html {
  width: 100%;
  height: 100%;
  @media (max-width: 768px) {
    min-height: calc(100% + 60px);
  }
}

#index {
  z-index: 1;
  height: 100%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-color: var(--bg-color);
  overflow: auto;
  scrollbar-width: thin;
}

body {
  -webkit-background-size: cover;
  -moz-background-size: cover;
  background-size: cover;
}

.backdrop {
  display: flex;
  flex-direction: column;
  position: relative;
  height: 100dvh;
  min-height: 100%;
  backdrop-filter: blur(0px);
}

#bg-video {
  width: 100%;
  object-fit: cover;
  z-index: -1;
  @media (max-width: 768px) {
    min-height: calc(100% + 200px);
  }
}

.overlay {
  width: 100%;
  z-index: 0;
}

/*  ------------------------------------------------------------------------------------------------------------------- */
main {
  --offset: -350px;
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  text-shadow: 2px 2px 20px #000000;

  @media (max-width: 768px) {
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  & > :first-child {
    margin-right: var(--offset);

    @media (max-width: 1250px) {
      margin-right: 0;
      position: absolute;
    }
    @media (max-width: 768px) {
      position: static;
    }
  }
}

.header-image {
  z-index: -1;
  width: 80vw;
  max-width: 900px;
  aspect-ratio: 1;
  margin-top: 2rem;
  animation: fadeIn 0.7s 0.6s backwards;

  @media (max-width: 768px) {
    max-width: 80vw;
    margin-top: 0.75rem;
  }
}

.alt-header-title {
  display: none;
  animation: fadeIn 1s 0.6s backwards;

  @media (max-width: 768px) {
    font-size: 1.5rem;
    display: revert;
    font-weight: 300;
    margin-top: 1rem;
  }
}
